Package Details: srb2-data 2.2.9-3

Git Clone URL: https://aur.archlinux.org/srb2-data.git (read-only, click to copy)
Package Base: srb2-data
Description: Data files for Sonic Robo Blast 2
Upstream URL: http://www.srb2.org
Licenses: custom
Submitter: None
Maintainer: JJK
Last Packager: JJK
Votes: 19
Popularity: 0.41
First Submitted: 2010-05-28 18:06
Last Updated: 2021-05-12 07:19

Dependencies (1)

  • srb2 (optional) – "Sonic Robo Blast 2" game

Required by (1)

Sources (1)

Latest Comments

1 2 3 Next › Last »

Star-X commented on 2021-05-15 19:17

I'm not sure if that's standard procedure or not, but a workaround that can be used until it's fixed is to edit the pkgbuild to change the sha256sum to be SKIP.

Not recommended to keep it that way permanently, but until they get the right checksum in the pkgbuild it can at least let you update.

ErwinJunge commented on 2021-05-11 16:52

I'm getting a checksum error on the data file. Locally the sha256sum is 48e644604bed81b5ce6b12ef23a2f4042d0118d0ba70f18c534dfe86ebe6f37d instead of what's in the PKGBUILD.

I'm flagging as out-of-date because of that, but I'm not sure if that's what I'm supposed to do. If not, please let me know.

adol commented on 2021-05-08 20:57

Thanks for adding the models. However, it's still missing a single file to make them work. This can probably be fixed by adding "cp models.dat "$pkgdir"/usr/share/games/SRB2/models". I have done this manually on my end.

adol commented on 2020-10-03 05:52

The PKGBUILD doesn't seem like it installs the new models.

JJK commented on 2019-12-31 10:12

I created updated PKGBUILDS for 2.2.0:

https://gist.github.com/JJK96/106257f93e3a67813075d169a1ac9fb4

ValleyKnight commented on 2019-02-14 13:29

@carstene1ns: Thanks. will do.

carstene1ns commented on 2019-02-13 21:24

@ValleyKnight: I am aware of this issue, it has been solved in srb2 package. You need to remove srb2 package once and then things should work afterwards.

ValleyKnight commented on 2019-02-11 21:42

error: failed to prepare transaction (could not satisfy dependencies) :: installing srb2-data (2.1.23-1) breaks dependency 'srb2-data=2.1.14' required by srb2

carstene1ns commented on 2016-11-19 12:09

JJK, unfortunately they only provide it that way.
However, this binary is just a 7zip archive anyway.

JJK commented on 2016-11-17 12:47

Why is this data not in the github yet? Do we really have to get it from the windows binary